Bug 1695042 (CVE-2019-0197) - CVE-2019-0197 httpd: mod_http2: possible crash on late upgrade
Summary: CVE-2019-0197 httpd: mod_http2: possible crash on late upgrade
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1696098 1696099
Blocks: 1694984
TreeView+ depends on / blocked
 
Reported: 2019-04-02 11:18 UTC by Dhananjay Arunesh
Modified: 2020-11-04 03:34 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 18:51:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3932 None None None 2019-11-20 16:21:18 UTC
Red Hat Product Errata RHSA-2019:3933 None None None 2019-11-20 16:13:44 UTC
Red Hat Product Errata RHSA-2019:3935 None None None 2019-11-20 16:08:41 UTC
Red Hat Product Errata RHSA-2020:2644 None None None 2020-06-22 12:26:25 UTC
Red Hat Product Errata RHSA-2020:2646 None None None 2020-06-22 13:08:39 UTC
Red Hat Product Errata RHSA-2020:4751 None None None 2020-11-04 03:34:54 UTC

Description Dhananjay Arunesh 2019-04-02 11:18:53 UTC
When HTTP/2 was enabled for a http: host or H2Upgrade was enabled for h2 on a https: host, an Upgrade request from http/1.1 to http/2 that was not the first request on a connection could lead to a misconfiguration and crash. A server that never enabled the h2 protocol or that only enabled it for https: and did not configure the "H2Upgrade on" is unaffected by this.

Comment 2 Dhananjay Arunesh 2019-04-02 11:33:11 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1695046]

Comment 5 Huzaifa S. Sidhpurwala 2019-04-04 07:20:04 UTC
According to information from upstream, this issue was addressed in httpd 2.4.x commit:

http://svn.apache.org/viewvc?view=revision&revision=1855406

This matches the following commit in the mod_http2 github repository:

https://github.com/icing/mod_h2/commit/825de6a46027b2f4c30d7ff5a0c8b852d639c207

Comment 8 errata-xmlrpc 2019-11-20 16:08:40 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:3935 https://access.redhat.com/errata/RHSA-2019:3935

Comment 9 errata-xmlrpc 2019-11-20 16:13:43 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2019:3933 https://access.redhat.com/errata/RHSA-2019:3933

Comment 10 errata-xmlrpc 2019-11-20 16:21:16 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2019:3932 https://access.redhat.com/errata/RHSA-2019:3932

Comment 11 Product Security DevOps Team 2019-11-20 18:51:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0197

Comment 12 errata-xmlrpc 2020-06-22 12:26:21 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2020:2644 https://access.redhat.com/errata/RHSA-2020:2644

Comment 13 errata-xmlrpc 2020-06-22 13:08:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2020:2646 https://access.redhat.com/errata/RHSA-2020:2646

Comment 14 errata-xmlrpc 2020-11-04 03:34:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4751 https://access.redhat.com/errata/RHSA-2020:4751


Note You need to log in before you can comment on or make changes to this bug.